<!-- Copyright (c) 2026 defconxt. All rights reserved. -->
<!-- Licensed under AGPL-3.0 — see LICENSE file for details. -->
<!-- NERF is a trademark of defconxt. -->
# API Reference — Performing Business Logic Testing

## curl + parallel — Race Condition Testing
```bash
seq 1 50 | parallel -j50 "curl -s -X POST URL/api/redeem \
  -H 'Authorization: Bearer TOKEN' -o /dev/null -w '%{http_code}\n'"
```

## Burp Suite — Turbo Intruder
Use Turbo Intruder for precise timing on race condition attacks with
the race1 template for single-packet attack.

## curl — Price/Quantity Manipulation
```bash
curl -X POST URL/api/checkout -d '{"item_id":1,"price":0.01}'
curl -X POST URL/api/cart/add -d '{"item_id":1,"quantity":-1}'
```
